/**
 * Titel:     Quelltext zu Kapitel 10 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
public class Giro { 
	private int kontoNummer;        // private Attribute:
	private String inhaber;
	private double saldo;                   // Kontostand in Euro
	private double kurs = 1.95583;          // Euro-DM-Kurs
	public Giro( int kn, String n, double sa ) {
		kontoNummer = kn;    inhaber = n;          
  		saldo = sa / kurs;                      // Intern in Euro
	}
	public double getSaldo() {
		return IO.round( saldo * kurs, 2 );     // Extern in DM
	}
	public double einzahlen( double dmBetrag ) {
		saldo = saldo + dmBetrag / kurs;        // Intern in Euro
		return IO.round( saldo * kurs, 2 );     // Extern in DM
	}
	public double abheben( double dmBetrag ) {
		saldo = saldo + dmBetrag / kurs;          // Intern in Euro
		return IO.round( saldo * kurs, 2 );     // Extern in DM
	}
}








