/**
 * Titel:     Quelltext zu Kapitel 10 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
public class Konto2 {
	private int kontoNummer;  // private Attribute
	private String inhaber;
	private double saldo;
	private final double zinsSatz = 0.025;
	public Konto2( int kn, String n, double sa ){
		setKontoNummer( kn );     
		inhaber = n;          
  		saldo = Math.abs( sa );
	}
	public void setKontoNummer( int knr ) {
		if( knr >= 1000000 && knr <= 9999999 )   kontoNummer = knr;
		else    IO.writeln( "Ungltige Kontonummer" );
	}
	public int getKontoNummer() {
		return kontoNummer;
	}
	public double getSaldo() {
		return saldo;
	}
	public double einzahlen( double betrag ) {
		saldo = saldo + Math.abs( betrag );
		return saldo;
	}
	public double abheben( double betrag ) {
		if( saldo - Math.abs( betrag ) < 0 )
			IO.writeln( "Abhebevorgang nicht mglich!" );
		else  	saldo = saldo + Math.abs( betrag );
		return saldo;
	}
	private double zinsen() {       // private Methode
		return saldo * zinsSatz;
	}
	public double zinsZuschlag( ) {
		saldo = saldo + zinsen( );
		return saldo;
	}
}







