/**
 * Titel:     Quelltext zu Kapitel 10 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */
class Mitarbeiter {
	private String name;
	public static int anzahl = 0;   // Initialisierung
	public Mitarbeiter( String n ) {
		name = n;
		anzahl++;    // Bei jeder Instantiierung erhht!
		IO.writeln( "Konstruktor " + name + ": " + anzahl );
	}
}

public class Personal {
	public static void main( String[] args ) {
		Mitarbeiter.anzahl = 100;    // Zugriff ber die Klasse
		Mitarbeiter m1 = new Mitarbeiter( "Huber" );
		Mitarbeiter m2 = new Mitarbeiter( "Meier" );
		Mitarbeiter m3 = new Mitarbeiter( "Fischer" );
		IO.writeln( "(1) Anzahl = " + Mitarbeiter.anzahl );
	   	m2.anzahl = 1003;           // Zugriff ber ein Objekt
		IO.write( "(2)" + Mitarbeiter.anzahl + "    " );
		IO.write( m1.anzahl + " " + m2.anzahl + " " + m3.anzahl);
	}
}









